aboutsummaryrefslogtreecommitdiffstats
path: root/extra/snort/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-03-10 13:46:20 +0000
committerMichael Mason <ms13sp@gmail.com>2009-03-10 13:46:20 +0000
commita8476f9cc0cfe1f082e0743727b086d43496ab1a (patch)
treead11ad4c9cc7d846e2402f4528581dfa469d4e0f /extra/snort/APKBUILD
parentd8a35a2dd4fff448d93b7d52b3caf69fae687bbf (diff)
downloadaports-a8476f9cc0cfe1f082e0743727b086d43496ab1a.tar.bz2
aports-a8476f9cc0cfe1f082e0743727b086d43496ab1a.tar.xz
extra/snort Initial Commit
Diffstat (limited to 'extra/snort/APKBUILD')
-rw-r--r--extra/snort/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/extra/snort/APKBUILD b/extra/snort/APKBUILD
new file mode 100644
index 0000000000..8d2b34a00c
--- /dev/null
+++ b/extra/snort/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+pkgname=snort
+pkgver=2.8.3.2
+pkgrel=0
+pkgdesc="An open source network intrusion prevention and detection system"
+url="http://www.snort.org/"
+license="GPL"
+depends="uclibc libpcap libnet"
+makedepends="pcre-dev libpcap-dev libnet-dev"
+install="$pkgname.pre-install"
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://www.snort.org/dl/$pkgname-$pkgver.tar.gz
+ snort.initd
+ snort.confd
+ $install
+ "
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-ipv6 \
+ --enable-gre
+ make -j1 || return 1
+ make -j1 DESTDIR="$pkgdir" install
+
+ install -D -m 755 ../snort.initd ${pkgdir}/etc/init.d/snort
+ install -D -m 644 ../snort.confd ${pkgdir}/etc/conf.d/snort
+}
+
+md5sums="f75547da33446ddb4ca07eefd9ce31dc snort-2.8.3.2.tar.gz
+b3207150805e7b948d958c6f86e70a5b snort.initd
+446f8d2b3435b8a6be738da978670605 snort.confd
+fc0cd41b3f16781cdbe6e5d7e3185892 snort.pre-install"